Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0052936
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajoralways2023-07-06 14:542023-08-04 13:08
ReporterhbrasmeView Statuspublic 
Assigned Todcontrera 
PrioritynormalResolutionfixedFixed in Version23Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0052936: [EXTRA PROFILE] Restriction access - Modify Customer Action

DescriptionWhen the action 'Modify Action' is disable, the user are the possibility to modify a customer from the Customer Form
Steps To Reproduce1 Connect to BO
2 Go to the roles tab
3 Go to the User Action Acces tab
4 Select the Modify User Action
5 Unselect the Action checkbox


On the Customer Form, the button 'Edit' is available
TagsNo tags attached.
Attached Filespng file icon image-20230622-120753.png [^] (47,078 bytes) 2023-07-06 14:54

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0052934 newdcontrera [EXTRA PROFILE] Restriction access - Open Till Roles Access 

-  Notes
(0152365)
hgbot (developer)
2023-07-12 05:47

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/1948 [^]
(0152807)
hgbot (developer)
2023-07-21 17:41

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/1948 [^]
(0152808)
hgbot (developer)
2023-07-21 17:41

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 7a080d803cdc0fe7af9fd9598974129cc3b29d68
Author: Dante Contrera <dante.contrera@smfconsulting.es>
Date: 21-07-2023 15:41:42
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/7a080d803cdc0fe7af9fd9598974129cc3b29d68 [^]

Fixed ISSUE-52936: Edit action disabled when the user action is not active.

---
M web-jspack/org.openbravo.pos2/src/components/Customer/CustomerForm/CustomerFormFooter.config.json
M web-jspack/org.openbravo.pos2/src/components/Customer/CustomerForm/CustomerFormTicketFooter.config.json
M web-jspack/org.openbravo.pos2/src/model/user-interface/user-actions/EditCustomer.js
---

- Issue History
Date Modified Username Field Change
2023-07-06 14:54 hbrasme New Issue
2023-07-06 14:54 hbrasme Assigned To => Retail
2023-07-06 14:54 hbrasme File Added: image-20230622-120753.png
2023-07-06 14:54 hbrasme Triggers an Emergency Pack => No
2023-07-07 06:38 guillermogil Assigned To Retail => dcontrera
2023-07-12 05:47 hgbot Note Added: 0152365
2023-07-12 06:32 guillermogil Status new => scheduled
2023-07-21 17:41 hgbot Resolution open => fixed
2023-07-21 17:41 hgbot Status scheduled => resolved
2023-07-21 17:41 hgbot Note Added: 0152807
2023-07-21 17:41 hgbot Fixed in Version => 23Q4
2023-07-21 17:41 hgbot Note Added: 0152808
2023-07-21 17:43 guilleaer Review Assigned To => guilleaer
2023-07-21 17:43 guilleaer Status resolved => closed
2023-08-04 13:08 rafaroda Relationship added related to 0052934


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker